Skip to main content
PUT
/
cleemy-procurement
/
api
/
natures
/
{id}
Update Nature
curl --request PUT \
  --url https://{host}/cleemy-procurement/api/natures/{id} \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "costFamilyId": 123,
  "accountingPlans": [
    {
      "id": 123,
      "chargeAccount": "<string>"
    }
  ]
}
'
import requests

url = "https://{host}/cleemy-procurement/api/natures/{id}"

payload = {
    "name": "<string>",
    "costFamilyId": 123,
    "accountingPlans": [
        {
            "id": 123,
            "chargeAccount": "<string>"
        }
    ]
}
headers = {
    "Authorization": "<authorization>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PUT',
  headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    name: '<string>',
    costFamilyId: 123,
    accountingPlans: [{id: 123, chargeAccount: '<string>'}]
  })
};

fetch('https://{host}/cleemy-procurement/api/natures/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": 123,
  "name": "<string>",
  "costFamily": {
    "id": 123,
    "name": "<string>"
  },
  "accountingPlans": [
    {
      "id": 123,
      "chargeAccount": "<string>"
    }
  ]
}

Headers

Authorization
string
required

API key. Value must be formatted like so: lucca application={api_key}.

Path Parameters

id
integer<int32>
required

ID of the nature.

Body

application/json

Nature to update.

A purchase nature (category).

name
string
costFamilyId
integer<int32> | null
write-only

Write-only. ID of the cost family.

state
enum<string>
Available options:
Enabled,
Disabled
accountingPlans
object[]

Accounting plans for this nature.

Response

200 - application/json

OK

A purchase nature (category).

id
integer<int32>
read-only
name
string
costFamily
object | null
read-only

Read-only. Cost family of this nature.

state
enum<string>
Available options:
Enabled,
Disabled
accountingPlans
object[]

Accounting plans for this nature.